Skip to main content

Documentation Index

Fetch the complete documentation index at: https://goldrush.dev/docs/llms.txt

Use this file to discover all available pages before exploring further.

0.01 credits per call

eth_uninstallFilter on Base: Removes a server-side filter.

Endpoint

https://rpc.goldrushdata.com/v1/base-mainnet
Authenticate with Authorization: Bearer <YOUR_GOLDRUSH_API_KEY>. See authentication.

Parameters

NameTypeRequiredDescriptionExample
filterIdQUANTITYyesHex-encoded filter ID."0x16"

Returns

Boolean: true if the filter was uninstalled.
true

Examples

curl https://rpc.goldrushdata.com/v1/base-mainnet \
  -H "Authorization: Bearer $GOLDRUSH_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "eth_uninstallFilter",
    "params": ["0x16"]
  }'

Errors

Standard JSON-RPC errors: -32600 invalid request, -32601 method not found, -32602 invalid params.

Also available on